<?php
/**
@author Charles-Alban Allard
Ce document est soumis  une diffusion restreinte.
*/
require "vrml-class/vrml.php";
//cration de "l'univers"
$univers=new Vrml();
//Couleur de fond
$univers->setBackgroundColor(.05, .2, .35);
//cration d'une couleur
$yellow=new Color(1,1,0, "Yellow",0.200,0.200);
$white=new Color(1,1,1, "White",0.200,0.200);
$blue=new Color(0,1,1, "Blue",0.200,0.200);
$red=new Color(1,0,0, "Red",0.200,0.200);
//$texture=new texture("true", "true", "http://images.websnapr.com/?url=http://kangee.fr/&size=l");
//cration d'une transformation
$translation=new Translation(.3,.3,.3);
$translation2=new Translation(1.,1.3,1.3);
$rotation=new Rotation(.7853,1,0,0);
//cration d'un cube
//$cube=new cube("test",1,2,3,$texture,.3,.3,.3);
$cube=new Cube("test",1,2,3,$yellow);
$cube->addtransformation($translation);
$cube2=new Cube("test",1,2,2,$white);
$cube2->addtransformation($translation2);
//$cube2->addtransformation($translation);
$cube2->addtransformation($rotation);
//cration d'un cone
$cone=new Cone("cone",1, 3, "true", "true", $red);
$cone->addtransformation(new Translation(4,1,1));
$cone2=new Cone("cone",1, 3, "true", "true", $yellow);
$cone2->addtransformation(new Translation(-4,-1,-1));
//cration d'un cylinder
$cylinder=new Cylinder("cylinder","true", 2, 1, "true", "true", $blue);
$cylinder->addtransformation(new Translation(4,3,3));
//cration d'une sphere
$sphere=new Sphere("sphere", 1,$red);
$sphere->addtransformation(new Translation(3,5,1));
//cration d'une vue
$view=new View("Vue1",0,.8,2, 0, 1, 0, -1.571);
$view2=new View("Vue2",10,10,10, 1, 0, 1, -1.571);
//ajout des objets.
$univers->add($cube);
$univers->add($cube2);
$univers->add($cone);
$univers->add($cone2);
$univers->add($cylinder);
$univers->add($sphere);
$univers->add($view);
$univers->add($view2);

//affichage
$univers->show();
?>